Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Classes | Typedefs
RtMidi.h File Reference

Go to the source code of this file.

## Classes
class | RtMidiError
| Exception handling class for RtMidi. More...
class | RtMidi
| An abstract base class for realtime MIDI input/output. More...
class | RtMidiIn
| A realtime MIDI input class. More...
class | RtMidiOut
| A realtime MIDI output class. More...

## Typedefs
typedef void(* | RtMidiErrorCallback) (RtMidiError::Type type, const std::string &errorText, void *userData)
| RtMidi error callback function prototype.

## Typedef Documentation

## ◆ RtMidiErrorCallback

typedef void(* RtMidiErrorCallback) (RtMidiError::Type type, const std::string &errorText, void *userData)

RtMidi error callback function prototype.

Parameters

  type | Type of error.
  errorText | Error description.

Note that class behaviour is undefined after a critical error (not a warning) is reported.

The Synthesis ToolKit in C++ (STK)
©1995--2023 Perry R. Cook and Gary P. Scavone. All Rights Reserved.